Как исправить установку VMware Workstation 9 на Ubuntu 12.10?

Я открыл этот поток, потому что я обновился до бета-версии Ubuntu 12.10 (ядро 3.5), и у меня возникла проблема с VMware Workstation 9:

Unable to change virtual machine power state: Cannot find a valid peer process to connect to

У кого-нибудь есть такая же проблема ?

Это чистая установка Ubuntu 12.10 (ежедневная сборка). Я установил VMware 9 и пропатчил, но он не работает. Я не могу исправить правильно и заставить вещи правильно строить.

Мой ноутбук - Lenovo T420 с технологией Nvidia Optimus.

Это сообщение отображается, когда я пытаюсь применить исправление:

Stopping VMware services:
VMware Authentication Daemon done
At least one instance of VMware VMX is still running.
Please stop all running instances of VMware VMX first.
VMware Authentication Daemon done
Unable to stop services

Как остановить службы VMware, чтобы применить исправление? Это сообщение появляется, когда я пытаюсь установить исправление снова:

./patch-modules_3.5.0.sh
/usr/lib/vmware/modules/source/.patched found. You have already patched your sources. Exiting

Но VMware не работает, и я не могу удалить.

1
задан 08.02.2020, 11:35

5 ответов

У меня была такая же проблема, когда установщик VMWare хочет заголовки. В настоящее время у меня работает Ubuntu 12.10.

Вот что было сделано:
Работал с Ubuntu 11.04 и решил попробовать 12.10. Выполните резервное копирование всего на внешний жесткий диск с помощью rsync, используя мой /root/daily.sh. Мой daily.sh просто делает ночной снимок rsnapshot всех моих важных файловых систем (я никогда не создаю только / и / boot, как это делают некоторые, вместо этого я вручную создаю все файловые системы, срезы или разделы, как бы вы их ни называли).

Разрушен RAID-10 и создан новый RAID-5 (нужно больше места и не нужно немного замедляться)

Установил Ubuntu 12.10 X64 и, конечно, щелкнул переключатель, чтобы установить его по своему усмотрению которая является нижней радио-кнопкой iirc.

После завершения установки rsync -az /bkup/daily.0/data/vmware / data / vmware / (верните все мои файлы и каталоги, связанные с VMWare)

(исправлен внешний вид рабочего стола 11.04)

sudo su

apt-get install gnome-panel

После этого выйдите из системы, войдите в систему, но перейдите на использование gnome (без эффектов)

Теперь, чтобы заставить VMWare работать:

Become root sudo su

   # apt-get install build-essential linux-headers-`uname -r`

   # sh /path/to/vmware/VMware-Workstation-Full-9.0.1-894247.x86_64.bundle

После установки Перейдите в Приложения -> Системные инструменты -> Рабочая станция VMware

Введите серийный номер

Запустите Windows 7 или 8 (если вы хотите запустить Windows) .vmx (я использую довольно большой раздел для хранения всех вещей vmware.

Хорошего дня.

0
ответ дан 08.02.2020, 11:36

Я только что скачал версию 9.0.1.

Проблема решена для меня в этой последней версии. Попробуйте установить его!

3
ответ дан 08.02.2020, 11:36

Поскольку 9.0.1 вышла, вы можете удалить 9.0.0 и установить его.

Если у вас возникли проблемы с удалением 9.0.0 или предыдущих версий

, перезагрузите компьютер в однопользовательском режиме, нажав e на загрузчике grub и добавив single в конец строки ядра. , Затем нажмите F10

. Вы должны получить приглашение root, где вы можете выполнить команду удаления:

vmware-installer --uninstall-product vmware-workstation

0
ответ дан 08.02.2020, 11:37

У меня была такая же проблема, вот что сработало для меня:

Я скачал патч отсюда: http://communities.vmware.com/message/2103172#2103172

Когда я пытался применить его, я получал ту же ошибку, что и вы в своем вопросе.

Затем я открыл системный монитор и завершил процесс vmware-tray (завершите все процессы vmware *), и я следовал приведенным здесь инструкциям (повторяется ниже): http://jgiffard.wordpress.com/2012 / 10/22 / vmware-9-workstation-on-ubuntu-12-10 /

sudo rm /lib/modules/$(uname -r)/misc/vm*

затем повторно запустите патч

sudo ./patch-modules_3.5.0.sh

После этого я перезагрузил мой ноутбук и рабочая станция работали после загрузки.

0
ответ дан 08.02.2020, 11:37
  • 1
    Я должен был изменить .sh файл в патче немного, но иначе это работало очарованием. – Lee 08.02.2020, 11:38

Основной причиной, вызывающей эту проблему, является версия Python 3. Ubuntu 12.10 имеет последнюю версию Python 3, но для сборки рабочей станции VMware требуется Python 2 для работы. Это обычная ошибка, также упоминаемая в Ubuntu 12.10 Ошибки. Подождите, пока это не будет исправлено.

0
ответ дан 08.02.2020, 11:38
  • 1
    некоторые люди ха заставили его работать при использовании chrooting и применении патча, который я попробую как скоро, у меня есть время, существует некоторая работа вокруг в блогах – Prisoner ZERO 08.02.2020, 11:39

Теги

Похожие вопросы